The AccuTerm 7 Cloud plug-in is not installed or is blocked. To install, download the plug-in by clicking the link below:

Download AccuTerm plug-in

If the plug-in is disabled, please enable it in your browser's Add-on settings. If the plug-in is blocked by Internet Explorer security settings, look for the information bar at the bottom of the page and click the Run add-on button. On older versions of IE, the information bar is at top of the page, and has a light-yellow background - click on the bar for instructions to allow ActiveX content.